<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'GetStartedMenu',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>
<template>
  <div>
    <SlpRow class="slp-my-96">
      <SlpColumn :cols="8" class="slp-pr-lg-32">
        <SlpTypography tag="h2" variant="heading2-bold">{{
          data.title
        }}</SlpTypography>
        <div
          v-for="block in data.block"
          :key="`${block.name} ${Math.floor(Math.random())}`"
        >
          <SlpTypography
            tag="h3"
            variant="heading3-bold"
            class="slp-mt-64 slp-mb-24"
            >{{ block.name }}</SlpTypography
          >
          <ul>
            <li
              v-for="link in block.links"
              :key="link.text + Math.floor(Math.random())"
            >
              <SlpButton
                :href="link.href"
                :alt="link.alt"
                variant="tertiary"
                :data-ga-name="link.data_ga_name"
                :data-ga-location="link.data_ga_location"
                class="links"
              >
                <SlpIcon
                  :name="link.icon.name"
                  :alt="link.icon.alt"
                  color="black"
                  size="md"
                  variant="marketing"
                />
                <SlpTypography
                  tag="h5"
                  variant="heading5"
                  class="links__content"
                >
                  {{ link.text }}
                  <SlpIcon variant="product" name="chevron-lg-right" />
                </SlpTypography>
              </SlpButton>
            </li>
          </ul>
        </div>
      </SlpColumn>
      <SlpColumn :cols="4" class="background-images">
        <nuxt-img
          class="background-images__circle"
          src="/nuxt-images/get-started/gradient-circle.svg"
          loading="lazy"
          format="webp"
          quality="99"
        />
        <nuxt-img
          class="background-images__square"
          src="/nuxt-images/get-started/gradient-square.svg"
          format="webp"
          quality="99"
        />
        <!-- On some screen resolutions lazy loading this image does not
          load into the DOM as it's partly offscreen  -->
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
@import '~/assets/css/base.scss';

ul {
  max-width: 540px;

  li:first-of-type {
    border-bottom: 0.7px solid $color-surface-200;
  }
  li:last-of-type {
    border-top: 0.7px solid $color-surface-200;
  }
  li {
    display: flex;
    align-items: center;
    height: $spacing-96;
  }
  li:not(:first-of-type, :last-of-type) {
    border-top: 0.7px solid $color-surface-200;
    border-bottom: 0.7px solid $color-surface-200;
  }
}

.links {
  width: 100%;
  display: flex;
  text-align: left;
  padding-right: 0;
  padding-left: 0;

  &:hover {
    background: none;
    & > .slp-icon {
      transform: translateX(0);
    }
  }

  &__content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-left: $spacing-16;
  }
}

.background-images {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  &__square {
    margin-right: -16vw;
    align-self: flex-end;
  }

  @media (max-width: $breakpoint-md) {
    display: none;
  }
}
</style>
